from fastapi import Depends, FastAPI
from .routers import maps
import app.models
from .database import engine
from fastapi.staticfiles import StaticFiles


app.models.Base.metadata.create_all(bind=engine)

app = FastAPI(
    title="Giants: Citizen Kabuto map API",
    description="API to upload and download maps for Giants: Citizen Kabuto",
)
app.include_router(maps.router)
app.mount("/blobs", StaticFiles(directory="blobs"), name="static")
